For the complete documentation index, see llms.txt. This page is also available as Markdown.

Call pickup groups

List call pickup groups

get

List call pickup groups

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
filterstringOptional

Use the filter query parameter to retrieve just a subset of a collection.

searchstringOptional

Use the search query parameter to restrict the results of a request to match a search criterion.

orderbystringOptional

Use the orderby query parameter to specify the sort order of the items returned from server.
The default order is ascending order.

skipinteger · int32Optional

Use the skip query parameter to set the number of items to skip at the start of a collection.

Default: 0
topinteger · int32 · min: 1 · max: 100Optional

Use the top query parameter to specify the page size of the result set.

Default: 100
Responses
200

OK

application/json
countinteger · int64Optional

Total number of resource.

Example: 100
get/call_pickup_groups

Create a call pickup group

post

Create a new call pickup group.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestring · min: 1 · max: 64Optional

The name of call park group

descriptionstring · min: 1 · max: 1024Optional

The description of call park group.

Responses
201

Created call pickup group

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
post/call_pickup_groups

Retrieve a call pickup group

get

Retrieves details of a call pickup group.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
namestring · min: 1 · max: 64Optional

The name of call park group

descriptionstring · min: 1 · max: 1024Optional

The description of call park group.

get/call_pickup_groups/{id}

Update an call pickup group.

post

Update an call pickup group.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Body
namestring · min: 1 · max: 64Optional

The name of call park group

descriptionstring · min: 1 · max: 1024Optional

The description of call park group.

Responses
200

Updated call pickup group

No content

post/call_pickup_groups/{id}

No content

Was this helpful?